package com.yihu.jw.entity.door;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;


/**
* 工单状态变更记录（调度员操作记录）实体
*
* @author Administrator on  2019年04月09日
*
*/
@Entity
@Table(name = "wlyy_door_process_log")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_door_process_log")
public class WlyyDoorProcessLogDO extends UuidIdentityEntity {

    /**
	 * 工单id
	 */
	private String orderId;

    /**
	 * 工单处理状态
	 */
	private Integer status;

    /**
	 * 变更状态的调度员
	 */
	private String dispatcher;

    /**
	 * 变更状态的调度员姓名
	 */
	private String dispatcherName;

    /**
	 * 
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	private Date createTime;


	@Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }
    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

	@Column(name = "status")
    public Integer getStatus() {
        return status;
    }
    public void setStatus(Integer status) {
        this.status = status;
    }

	@Column(name = "dispatcher")
    public String getDispatcher() {
        return dispatcher;
    }
    public void setDispatcher(String dispatcher) {
        this.dispatcher = dispatcher;
    }

	@Column(name = "dispatcher_name")
    public String getDispatcherName() {
        return dispatcherName;
    }
    public void setDispatcherName(String dispatcherName) {
        this.dispatcherName = dispatcherName;
    }

	@Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }



}